# gdcm::Printer Class Reference

Printer class. More...

`#include <gdcmPrinter.h>`

Inheritance diagram for gdcm::Printer:
[legend]
Collaboration diagram for gdcm::Printer:
[legend]

List of all members.

## Public Types
enum | PrintStyles { VERBOSE_STYLE = 0, CONDENSED_STYLE, XML }
## Public Member Functions
| Printer ()
| ~Printer ()
PrintStyles | GetPrintStyle () const
void | Print (std::ostream &os)
void | SetColor (bool c)
void | SetFile (File const &f)
void | SetStyle (PrintStyles ps)
## Protected Member Functions
VR | PrintDataElement (std::ostringstream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, std::ostream &out, std::string const &indent)
void | PrintDataSet (const DataSet &ds, std::ostream &os, const std::string &s="")
void | PrintDataSetOld (std::ostream &os, const DataSet &ds)
void | PrintElement (std::ostream &os, const DataElement &xde, const DictEntry &entry)
void | PrintSQ (const SequenceOfItems *sqi, std::ostream &os, std::string const &indent)
## Protected Attributes
const File * | F
VL | MaxPrintLength
PrintStyles | PrintStyle

## Detailed Description

Printer class.

## Member Enumeration Documentation

enum gdcm::Printer::PrintStyles

Enumerator:

  VERBOSE_STYLE |
  CONDENSED_STYLE |
  XML |

## Constructor & Destructor Documentation

gdcm::Printer::Printer | ( |  | ) |

gdcm::Printer::~Printer | ( |  | ) |

## Member Function Documentation

PrintStyles gdcm::Printer::GetPrintStyle | ( |  | ) | const`[inline]`

void gdcm::Printer::Print | ( | std::ostream & | os | ) |

Reimplemented in gdcm::DictPrinter.

VR gdcm::Printer::PrintDataElement | ( | std::ostringstream & | os,
|  | const Dicts & | dicts,
|  | const DataSet & | ds,
|  | const DataElement & | de,
|  | std::ostream & | out,
|  | std::string const & | indent |
| ) |  |  | `[protected]`

void gdcm::Printer::PrintDataSet | ( | const DataSet & | ds,
|  | std::ostream & | os,
|  | const std::string & | s = `""` |
| ) |  |  | `[protected]`

void gdcm::Printer::PrintDataSetOld | ( | std::ostream & | os,
|  | const DataSet & | ds |
| ) |  |  | `[protected]`

void gdcm::Printer::PrintElement | ( | std::ostream & | os,
|  | const DataElement & | xde,
|  | const DictEntry & | entry |
| ) |  |  | `[protected]`

void gdcm::Printer::PrintSQ | ( | const SequenceOfItems * | sqi,
|  | std::ostream & | os,
|  | std::string const & | indent |
| ) |  |  | `[protected]`

void gdcm::Printer::SetColor | ( | bool | c | ) |

void gdcm::Printer::SetFile | ( | File const & | f | ) | `[inline]`

void gdcm::Printer::SetStyle | ( | PrintStyles | ps | ) | `[inline]`

## Member Data Documentation

const File* gdcm::Printer::F`[protected]`

VL gdcm::Printer::MaxPrintLength`[protected]`

PrintStyles gdcm::Printer::PrintStyle`[protected]`

The documentation for this class was generated from the following file:

- gdcmPrinter.h